com.aliyun.svideosdk.common.struct.effect

## Class EffectPicture

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectPicture

-     public class EffectPicture
      extends java.lang.Object

  Created by macpro on 2017/10/17.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `end` 图片的结束时间
    `float` | `height` 图片的高，相对值 范围 [0 - 1]
    `boolean` | `isTrack` Deprecated.
    `boolean` | `mirror` 是否镜像
    `float` | `rotation` 图片的旋转值，默认为0 取-PI 到 PI，左旋转 0 ~ -3.14 右旋转 0 ~ 3.14
    `long` | `start` 图片的开始时间
    `float` | `width` 图片的宽，相对值 范围 [0 - 1]
    `float` | `x` 图片x坐标，相对值 范围 [0 - 1]
    `float` | `y` 图片y坐标，相对值 范围 [0 - 1]

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectPicture(Bitmap bitmap)`
    `EffectPicture(java.lang.String path)`
    `EffectPicture(java.lang.String mPicturePath, float x, float y, long start, long end, float width, float height, float rotation, boolean mirror, boolean isTrack)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Bitmap` | `getBitmap()` 获取图片bitmap对象
    `int` | `getOldId()` 获取恢复前的资源id，仅用于恢复后的资源
    `java.lang.String` | `getPicturePath()` 获取图片路径
    `int` | `getViewId()` 获取资源id
    `void` | `setOldId(int oldId)` 设置旧资源id，不建议用户使用
    `void` | `setViewId(int vid)` 设置资源id，不建议用户调用
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public float x

      图片x坐标，相对值 范围 [0 - 1]

    - #### y

          public float y

      图片y坐标，相对值 范围 [0 - 1]

    - #### start

          public long start

      图片的开始时间

    - #### end

          public long end

      图片的结束时间

    - #### width

          public float width

      图片的宽，相对值 范围 [0 - 1]

    - #### height

          public float height

      图片的高，相对值 范围 [0 - 1]

    - #### rotation

          public float rotation

      图片的旋转值，默认为0 取-PI 到 PI，左旋转 0 ~ -3.14 右旋转 0 ~ 3.14

    - #### mirror

          public boolean mirror

      是否镜像

    - #### isTrack

          @Deprecated
          public boolean isTrack

      Deprecated.

  - ### Constructor Detail

    - #### EffectPicture

          public EffectPicture(java.lang.String path)

      Parameters:
        `path` - 图片地址

    - #### EffectPicture

          public EffectPicture(Bitmap bitmap)

      Parameters:
        `bitmap` - 图片bitmap 对象

    - #### EffectPicture

          public EffectPicture(java.lang.String mPicturePath,
                               float x,
                               float y,
                               long start,
                               long end,
                               float width,
                               float height,
                               float rotation,
                               boolean mirror,
                               boolean isTrack)

  - ### Method Detail

    - #### getBitmap

          public Bitmap getBitmap()

      获取图片bitmap对象
      Returns:
        bitmap对象

    - #### getPicturePath

          public java.lang.String getPicturePath()

      获取图片路径
      Returns:
        图片路径

    - #### getViewId

          public int getViewId()

      获取资源id
      Returns:
        资源id 唯一标识符

    - #### setViewId

          public void setViewId(int vid)

      设置资源id，不建议用户调用
      Parameters:
        `vid` - 资源id 唯一标识符

    - #### getOldId

          public int getOldId()

      获取恢复前的资源id，仅用于恢复后的资源
      Returns:
        恢复前资源id

    - #### setOldId

          public void setOldId(int oldId)

      设置旧资源id，不建议用户使用
      Parameters:
        `oldId` - 旧资源id

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`